import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MTRSetupPayload } from "./MTRSetupPayload.js";
export declare class _MTRManualSetupPayloadParser extends _NSObject {
    static alloc(): _MTRManualSetupPayloadParser;
    static new(): _MTRManualSetupPayloadParser;
    init(): _MTRManualSetupPayloadParser;
    initWithDecimalStringRepresentation$(decimalStringRepresentation: _NSString): _MTRManualSetupPayloadParser;
    populatePayload$(error: NobjcObject | null): _MTRSetupPayload | null;
}
